Bug 29089 - IDE CD/DVD install causes - dma ide corruption
IDE CD/DVD install causes - dma ide corruption
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-23 11:58 EST by Shane Painter
Modified: 2007-04-18 12:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-07 11:42:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shane Painter 2001-02-23 11:58:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [en] (X11; U; Linux 2.2.16-22 i686)


On Dell PE6450 with CD or DVD drives (IDE) install fails with simmilar
messages. 
 
CD> VT1 reports:
 "failed to read /modules/module-info
install exited abnormally
sending termination signals
/mnt/source umount failed(16)
 
VT2 reports:
failed to read /modules/module-info
 
VT3 reports:
getting ready to spawn shell
exec of /bin/sh failed
 
VT4:
<4>Unable to identify CD-ROM format
------------------------------------
 
DVD> fails to launch X, but makes it into text mode. Allows specification
of Language and Keymap but then prompts for installation media type. When
CD is chosen, mount fails and you are prompted again.
 
VT4: <4>Unable to identify CD-ROM format
                                         

Reproducible: Always
Steps to Reproduce:
1.On PE6450 (probably all Dell IDE CD/DVD systems)
Try and perform CD install
2.Just wait until kernel boots, then check out VTs.
3.Tada!
~
Comment 1 Michael K. Johnson 2001-02-23 14:37:49 EST
Missing module-info?
Comment 2 Shane Painter 2001-02-23 16:07:53 EST
I should add that the same media works fine on SCSI CD-ROM systems. Also BETA2 
and 7.0 load properly, I don't know about BETA3. This must be something that 
changed recently.
Comment 3 Glen Foster 2001-02-23 16:55:21 EST
We (Red Hat) should really try to resolve this before next release.
Comment 4 Michael Fulbright 2001-02-26 21:30:00 EST
There are no other types of kernel errors messages on VC4?
Comment 5 Michael K. Johnson 2001-02-27 12:05:52 EST
msf, I have a machine you can test on
Comment 6 Shane Painter 2001-02-27 16:12:53 EST
On an installed system, I can mount /mnt/cdrom and copy files just fine. That 
would contain this problem to install time.
Comment 7 Michael Fulbright 2001-03-05 15:16:13 EST
johnsonm - is this still an issue we need to look at, or is it fixed?
Comment 8 Shane Painter 2001-03-05 17:00:41 EST
This is still a problem. Only now IDE CD-ROM behaves like the DVD did in RC1. I 
have not checked with the DVD yet. I will do that in the morning and let you 
know if anything changes. Also, the X-based installer will not work on this 
machine, it only goes into text mode - I dont remember if I mentioned that 
earlier.
Comment 9 Matt Wilson 2001-03-06 17:24:10 EST
this appears to be DMA corruption problems with this controller/CD-ROM device.
Comment 10 Arjan van de Ven 2001-03-07 03:40:59 EST
Could you give me the output of
/proc/ide/hdX/model 
?
(replace X with hda/hdb/hdc/hdd for the cdrom/dvd drive)
Comment 11 Shane Painter 2001-03-07 11:42:41 EST
SAMSUNG CD-ROM SN-124

This is on a RC1 machine. The same CD and DVD drives work fine with 7.0 and I 
believe Beta2 or 3.
Comment 12 Michael K. Johnson 2001-03-12 15:35:42 EST
Please test 2.4.2-0.1.23 or later kernels; we have added a
special case to attempt to handle this hardware.

Note You need to log in before you can comment on or make changes to this bug.